@import url(normalize.css);
/* General style sheet
 * -------------------
 * Table of contents:
 *
 * 1. body, wrapper
 * 2. headings, links, utilities
 * 3. icons
 * 4. text, fonts
 * 5. header
 * 6. post
 * 7. comments
 * 8. Vertical Menu
 * 9. Login/Register form
 * 10. Misc
 */

/* 1. body, wrapper, footer */
body {
  font-size: 0.625em; }

.wrapper {
  width: 940px;
  margin: 0 auto;  }

footer {
  color: #aaa;
  font-size: 1.2em;
  padding: 30px 0; 
  margin-top: 50px;
  background: #222;
  overflow: hidden; }

.footer-menu {
  margin-bottom: 7px;
}
.footer-menu>li>a {
  color: gainsboro;
}
.footer-menu>li>a:hover {
  color: white; 
}


/* 2. headings, links, utilities */
h1 {
  font-size: 3em;
  font-weight: bold; }

h2 {
  font-size: 2em;
  font-weight: bold; }

a {
  text-decoration: none;
  font-size: 1.4em; }

a:hover {
  text-decoration: none; }

.link-bold {
  font-weight: bold; }

.link-semibold {
  font-weight: bold; }

.link-small {
  font-size: 1.2em; }

.pull-left {
  float: left; }

.pull-right {
  float: right; }

/* 3. icons */
.icon-list {
  display: inline-block;
  width: 26px;
  height: 17px; }
  .icon-list:hover, .icon-list.active {
    background: url("../img/icon-list-o.png"); }

.icon-grid {
  display: inline-block;
  width: 26px;
  height: 17px; }
  .icon-grid:hover, .icon-grid.active {
    background: url("../img/icon-grid-o.png"); }

.icon-link {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url("../img/icon-link.png"); }

.icon-fav {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url("../img/icon-fav.png"); }

.icon-tag {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url("../img/icon-tag.png"); }

.icon-comments {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url("../img/icon-comments.png"); }

.icon-user {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url("../img/icon-user.png"); }

.icon-date {
  display: inline-block;
  width: 20px;
  height: 20px;
  background: url("../img/icon-date.png"); }

.icon-arrowup {
  display: inline-block;
  width: 16px;
  height: 16px;
  background: url("../img/icon-arrowup.png"); }

.icon-arrowdown {
  display: inline-block;
  width: 16px;
  height: 16px;
  background: url("../img/icon-arrowdown.png"); }

.icon-chevron-left {
  display: inline-block;
  width: 10px;
  height: 15px;
  background: url("../img/icon-chevron-left.png"); }

.icon-chevron-right {
  display: inline-block;
  width: 10px;
  height: 15px;
  background: url("../img/icon-chevron-right.png"); }

.icon-chevron-up {
  display: inline-block;
  width: 15px;
  height: 15px;
  background: url("../img/icon-chevron-up.png"); }

.icon-chevron-tiny-down {
  display: inline-block;
  width: 11px;
  height: 8px; }

.icon-chevron-tiny-up {
  display: inline-block;
  width: 11px;
  height: 8px; }

.icon-minus {
  display: inline-block;
  width: 15px;
  height: 15px;
  vertical-align: top;
  background: url("../img/icon-minus.png"); }

.icon-plus {
  display: inline-block;
  width: 15px;
  height: 15px;
  vertical-align: top;
  background: url("../img/icon-plus.png"); }

.icon-expand {
  display: inline-block;
  width: 22px;
  height: 11px;
  background: url("../img/icon-expand.png"); }

.icon-sn-vk {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url("../img/icon-sn-vk.png"); }
  .icon-sn-vk:hover {
    background: url("../img/icon-sn-vk-h.png"); }

.icon-sn-fb {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url("../img/icon-sn-fb.png"); }
  .icon-sn-fb:hover {
    background: url("../img/icon-sn-fb-h.png"); }

.icon-sn-tw {
  display: inline-block;
  width: 28px;
  height: 28px;
  background: url("../img/icon-sn-tw.png"); }
  .icon-sn-tw:hover {
    background: url("../img/icon-sn-tw-h.png"); }

.icon-sn-more {
  display: inline-block;
  width: 28px;
  height: 28px; }

.icon-sn-svk {
  display: inline-block;
  width: 20px;
  height: 20px;
  vertical-align: middle;
  background: url("../img/icon-sn-svk.png"); }
  .icon-sn-svk:hover {
    background: url("../img/icon-sn-svk-h.png"); }

.icon-sn-sfb {
  display: inline-block;
  width: 20px;
  height: 20px;
  vertical-align: middle;
  background: url("../img/icon-sn-sfb.png"); }
  .icon-sn-sfb:hover {
    background: url("../img/icon-sn-sfb-h.png"); }

.icon-sn-stw {
  display: inline-block;
  width: 20px;
  height: 20px;
  vertical-align: middle;
  background: url("../img/icon-sn-stw.png"); }
  .icon-sn-stw:hover {
    background: url("../img/icon-sn-stw-h.png"); }

.icon-sn-smore {
  display: inline-block;
  width: 20px;
  height: 20px;
  vertical-align: middle; }

.icon-style {
  padding: 0;
  display: inline-block;
  width: 17px;
  height: 17px;
  border-radius: 3px; }

.icon-close {
  display: inline-block;
  width: 20px;
  height: 20px; }

/* 4. text, fonts */
.text-vertical {
  vertical-align: middle; }

/* 5. header */
header {
  width: 100%;
  height: 52px;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 100; }

.logo {
  float: left; }
  .logo a {
    display: inline-block;
    margin: 5px; 
    background: url("../img/logo.png") no-repeat;
    width: 98px;
    height: 36px; }

.header-navmenu {
  float: left;
  margin-left: 30px; }

.header-stylemenu {
  float: right;
  margin-right: 30px; 
  position: relative ;}

.horizontal-menu {
  margin-top: -3px;
  padding: 0; }
  .horizontal-menu li {
    display: inline-block;
    margin-right: -3px; }

.main-menu-button {
  font-size: 1.6em;
  display: inline-block;
  padding: 19px 10px 14px; 
  z-index: 10; }

.header-profile {
  float: right; }

.profile-menu {
  position: relative;
}

.profile-menu a {
  display: inline-block;
  padding: 20px 10px;
  vertical-align: middle; }
.profile-menu a.profile-pic {
  padding: 5px 0 3px; }

.button-active {
  color: #f68f15; }
  .button-active:hover {
    color: #f68f15; }

.nav-bar {
  position: absolute;
  height: 2px;
  width: 80px;
  background: #f68f15;
  bottom: 0;
  left: -100px;
  z-index: -1; }

.search-input {
  position: absolute;
  top: 15px;
  right: 154px;
  margin: 0;
  height: 20px;
  padding: 0 4px 0 12px;
  width: 0;
  border: 1px solid transparent;
  color: #222;
  -webkit-transition: width .2s ease-out;
  cursor: pointer;
}

.search-input.selected {
  position: absolute;
  top: 10px;
  right: 160px;
  margin: 0;
  /*line-height: 20px;*/
  font-size: 1.4em;
  height: 20px;
  padding: 4px 4px 4px 30px;
  width: 110px;
  border-color: #bbb;
  color: #222;
  -webkit-transition: width .3s ease-out;
  cursor: text; }

/* 6. post */
.content {
  margin-top: 72px; 
}
.content-huge {
  margin-top: 53px; 
}

.hint {
  padding: 12px 14px 10px;
  font-size: 1.4em; 
  /*width: 737px ;*/
}

.popular-tags {
  float : right;
  width: 157px;
}
.popular-tags h3 {
  font-size: 1.5em;
  margin-top: 0;
  margin-bottom: 20px;
}
.popular-tags-list {
  list-style: none;
  padding: 0;
}
.popular-tags-link {
  display: block;
}

.tag-pic {
  width: 70px;
  height: 70px;
  float: left; }

.tag-title {
  font-weight: bold;
  font-size: 1.6em;
  display: inline-block;
  margin-left: 8px; }

.tag-info {
  display: inline-block;
  margin-left: 8px;
  margin-top: 4px; }

.tag-description {
  clear: left;
  margin-top: 10px; }

.submenu {
  margin: 20px 0 20px 6px; }

.post {
  position: relative;
  padding: 0 0 20px 0;
  overflow: hidden; }

.post-header {
  margin-bottom: 10px;
  font-size: 2em; 
  padding: 0 5px; 
  /*width: 762px;*/
}

.upvote {
  padding: 0 6px; }

.downvote {
  padding: 0 6px; }

.post-name {
  font-size: 1em; }

.post-share {
  margin-top: 17px; }
  .post-share a:not(:last-of-type) {
    margin-right: 7px; }

li.post-nav {
  margin-top: 40px; }

.post-nav-btn {
  padding: 5px 14px;
  border-radius: 3px;
  border: 1px solid;
  font-size: 2em;
  display: inline-block;
  margin-right: 6px; }
.post-nav-btn:last-of-type {
  margin-right: 0;
}

.post-show {
  display: none;
  margin-top: 10px;
  margin-left: 620px;
  font-size: 0.7em; }

.post-hide, .post-show {
  padding: 0 29px; }

.post-hide-text {
  margin-left: 10px; }

.post-body {
  position: relative;
  border-bottom: 1px solid #aaaaaa;  }

.post-element:not(:last-child) {
  margin-bottom: 24px;
}
.post-element:last-child {
  margin-bottom: 0;
}

.post-element:first-child:not(.post-text) {
  margin-top: 16px;
}

.post-text {
  font-size: 1.6em; }

.post-img {
  max-width: 600px;
  display: block; }

.gif-show, .gif-preview {
  overflow: hidden;
  position: relative;
  cursor: pointer;
  display: inline-block;
  max-width: 100%; }

.gif-preview span.play {
  position: absolute;
  top: 50%;
  margin-top: -30px;
  left: 50%;
  margin-left: -30px;
  height: 60px;
  width: 60px;
  text-align: center;
  overflow: hidden;
  background: #222222;
  line-height: 58px;
  font-size: 20px;
  text-transform: uppercase;
  color: white;
  font-weight: bold;
  border-radius: 35px;
  opacity: 0.9;
  border: 5px solid white; }

.post-video {
  max-width: 600px;
  height: 100%; }

.post-content {
  width: 600px;
  min-height: 150px;
  max-height: 1001px;
  padding: 0 16px;
  overflow: hidden; }

.post-nsfw {
  margin-top: 23px;
  display: block;
  background: #333 url("../img/slash_it.png");
  width: 600px;
  height: 330px;
  border-radius: 3px;
  overflow: hidden;
}

.nsfw-title {
  font-size: 22px;
  color: #fff;
  margin-top: 123px;
  text-align: center;
}
.nsfw-text {
  font-size: 13px;
  color: #999;
  text-align: center;
}

.post-content-expand {
  position: absolute;
  bottom: 64px;
  left: 0;
  height: 150px;
  width: 632px;
  cursor: pointer; }

.content-expand-inner {
  position: absolute;
  width: 100%;
  bottom: 18px;
  left: 0;
  text-align: center;
  vertical-align: middle;
  font-size: 1.6em; }

.post-content-short {
  max-height: 1000px; }

.post-content-long {
  max-height: 100%; }

.side-menu {
  position: absolute;
  top: -2px;
  left: 620px;
  width: 201px;
  min-height: 100px; }
  .side-menu li {
    margin-bottom: 8px; }

.side-menu-scroll {
  list-style: none;
  padding-top: 10px;
  padding-right: 18px; }

.side-menu-entry span {
  vertical-align: top;
  margin-left: 8px;
  margin-top: 3px;
  display: inline-block; }

.section-tags {
  padding: 20px 6px;
  width: 620px; }

.tag {
  padding: 2px 6px;
  border-radius: 3px;
  border: 1px solid #444444;
  font-size: 12px;
  margin-bottom: 4px;
  display: inline-block; }
  .tag:hover {
    text-decoration: none; }

.tag-vertical {
  max-width: 99px;
}

.tag-selected {
  background: #f68f15;
  padding: 2px 6px;
  border-radius: 3px;
  border: 1px solid #444444;
  font-size: 1.2em; }

.related-posts {
  padding: 0 23px; }
  .related-posts h3 {
    font-size: 1.6em; }
  .related-posts ul {
    list-style-type: none;
    padding: 0; }
    .related-posts ul li {
      display: inline-block;
      vertical-align: top;
      width: 150px; }
      .related-posts ul li:not(:last-of-type) {
        margin-right: 38px; }
      .related-posts ul li img {
        width: 150px; }

/*8. Gallery */
.grid-container
{
  width: 960px;
  margin: 0 auto 15px;
  overflow: hidden;
  position: relative;

  -webkit-transition: all 0.3s;
     -moz-transition: all 0.3s;
       -o-transition: all 0.3s;
            transition: all 0.3s;
}

.grid-column
{
  float:left;
  width: 306px;
  margin-right: 10px;
}
  .grid-column:last-of-type
  {
    margin-right: 0;
  }

.grid-entry
{
  width: 100%;
  height: 100%;
  float:left;
  position:relative;
  overflow:hidden;
  margin-bottom: 10px;
  box-shadow: 0 3px 7px rgba(0, 0, 0, .5);
}
  .grid-entry:hover img
  {
      opacity: 0.8;
  }
.grid-entry img
{
  margin-bottom: -4px;
  width: 100%;
  outline:none;
}

.grid-entry:hover .grid-footer {
  display: block;
}
.grid-footer
{
  display: none;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 30px;
  background: rgba(0, 0, 0, .7);
  z-index: 1000;
  color: #fff;
}
.grid-footer a
{
  color: #fff;
}
.grid-link
{
  display: inline-block;
  float: left;
  margin-left: 4px;
  margin-top: 4px;
  vertical-align: middle;
  margin-right: 25px;
}
.grid-link>span
{
  display: inline-block;
  margin-bottom: 9px;
  vertical-align: middle;
}

.grid-vote
{
  display: inline-block;
  margin-right: 25px;
  margin-bottom: 5px;
  color: #fff;
  font-size: 18px;
  vertical-align: middle;
}

.grid-comments
{
  display: inline-block;
  float: right;
  margin-right: 4px;
  margin-top: 8px;
}
.grid-comments span
{
  display: inline-block;
  vertical-align: top;
}

/* 7. Comments */
.comments {
  width: 638px;
  clear: both;
  margin-bottom: 200px;
  font-size: 1.5em; }
  .comments h2 {
    font-size: 1.5em; }

.comment-ava-big {
  width: 50px;
  height: 50px; }

.comment-ava-small {
  width: 30px;
  height: 30px; }

.avatar-section {
  float: left; }

.comment-section {
  margin-left: 65px; }

.comment-field {
  width: 100%;
  margin: 0;
  margin-bottom: 10px;
  min-height: 78px;
  resize: none;
  font-size: inherit;
  padding: 8px;
  box-sizing: border-box;
  -webkit-transition: all 0.25s ease;
  -moz-transition: all 0.25s ease;
  -ms-transition: all 0.25s ease;
  -o-transition: all 0.25s ease;
  transition: all 0.25s ease; }
  .comment-field:focus {
    box-shadow: 0 0 3px 0 #f68f15;
    outline: 0 none;
    -webkit-transition: all 0.25s ease;
    -moz-transition: all 0.25s ease;
    -ms-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    transition: all 0.25s ease; }

button.btn-submit-comment, a.btn-submit-comment {
  padding: 8px 20px;
  border-radius: 3px;
  font-size: 1em;
  margin: 0 14px 5px;
  display: inline-block;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease; }
button.btn-submit-comment:hover, a.btn-submit-comment:hover {
  text-decoration: none;
  background: #f68f15;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease;  }
button.btn-submit-comment:last-of-type, a.btn-submit-comment:last-of-type {
  margin-right: 0;
}

.comments-list {
  margin-top: 40px; }

.comment {
  margin-bottom: 20px; }

.comment2 {
  margin-bottom: 20px;
  margin-left: 65px; }
  .comment2 .comment-section {
    margin-left: 45px; }

.comment3 {
  margin-bottom: 20px;
  margin-left: 130px; }
  .comment3 .comment-section {
    margin-left: 45px; }

.comment-title a {
  font-size: inherit; }

.comment-content {
  margin-top: 12px;
  font-size: inherit; }

.comment-footer {
  margin-top: 10px; }

.comment-rating {
  font-weight: bold;
  font-size: inherit; }

.new-comment {
  color: #bb6b0c;
  margin: 10px 0 20px; }

/* 8. Vertical Menu */
.vertical-menu-list {
  display: none;
  position: absolute;
  min-width: 160px;
  z-index: 1000; }

.menu-list-header {
  top: 43px;
  left: 368px;
}

.menu-list-user {
  top: 43px;
  right: 0;
  min-width: 245px;
}
/*.menu-list-user ul li {
  text-align: right;
}*/

.vertical-menu-list ul {
  width: 100%;
  list-style-type: none;
  overflow: hidden;
  margin: 0;
  padding: 0;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
  border: 1px solid #cccccc; }

.vertical-menu-list ul li {
  display: block;
  margin-right: 0; }

.vertical-menu-list ul li > a {
  display: block;
  padding: 9px 14px;
  border-bottom: 2px solid transparent; }
  .vertical-menu-list ul li > a:hover {
    border-bottom: 2px solid #f68f15; }

/* 9. Login/Register form */
.login-form {
  width: 410px;
  margin: 0 auto;
  padding: 20px 40px;
  font-size: 1.6em; }

.login-social {
  padding-bottom: 29px;
  border-bottom: 1px solid #cccccc; }

.login-login {
  padding-top: 13px; }

.btn-vk {
  border: none;
  border-radius: 3px;
  position: relative;
  width: 190px;
  height: 50px;
  padding: 0 15px;
  color: white;
  font-size: 1.6em;
  text-align: right;
  background: #4b6d91;
  background: -moz-linear-gradient(top, #4b6d91 0%, #5b7da0 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4b6d91), color-stop(100%, #5b7da0));
  background: -webkit-linear-gradient(top, #4b6d91 0%, #5b7da0 100%);
  background: -o-linear-gradient(top, #4b6d91 0%, #5b7da0 100%);
  background: -ms-linear-gradient(top, #4b6d91 0%, #5b7da0 100%);
  background: linear-gradient(to bottom, #4b6d91 0%, #5b7da0 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4b6d91', endColorstr='#5b7da0',GradientType=0 ); }
  .btn-vk:after {
    content: "";
    width: 26px;
    height: 26px;
    position: absolute;
    left: 15px;
    top: 10px;
    background-image: url("../img/sn-vk.png"); }

.btn-fb {
  border: none;
  border-radius: 3px;
  float: right;
  position: relative;
  width: 190px;
  height: 50px;
  padding: 0 15px;
  color: white;
  font-size: 1.6em;
  text-align: right;
  background: #4e69a2;
  background: -moz-linear-gradient(top, #4e69a2 0%, #3b5998 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e69a2), color-stop(100%, #3b5998));
  background: -webkit-linear-gradient(top, #4e69a2 0%, #3b5998 100%);
  background: -o-linear-gradient(top, #4e69a2 0%, #3b5998 100%);
  background: -ms-linear-gradient(top, #4e69a2 0%, #3b5998 100%);
  background: linear-gradient(to bottom, #4e69a2 0%, #3b5998 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e69a2', endColorstr='#3b5998',GradientType=0 ); }
  .btn-fb:after {
    content: "";
    width: 26px;
    height: 26px;
    position: absolute;
    left: 15px;
    top: 10px;
    background-image: url("../img/sn-fb.png"); }

.btn-login {
  margin-top: 5px;
  font-size: inherit;
  padding: 8px 22px;
  border-radius: 3px;
  outline: none;
  border: none;
  color: #eeeeee;
  background: #60aa2e; }
  .btn-login:hover {
    background: #7ad13c;
    color: white; }

/* 10. Misc */
.message-error {
  font-size: 0.9em;
  color: red; }

.post-border {
  clear: both; }

.mleft-small {
  margin-left: 6px; }

.mleft-avg {
  margin-left: 10px; }

.mleft-large {
  margin-left: 16px; }

.mright-small {
  margin-right: 6px; }

.mright-avg {
  margin-right: 10px; }

.mright-large {
  margin-right: 16px; }

.pager {
  color: #ccc;
  padding: 8px 20px;
  border-radius: 3px;
  border: 1px solid #cccccc;
  font-size: 1.7em;
  margin-bottom: 5px;
  margin-left: 20px;
  display: inline-block;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -ms-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  transition: all 0.3s ease; }
  .pager:hover {
    color: #fff;
    text-decoration: none;
    background: #f68f15;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease; }
  .pager i {
    vertical-align: middle; }
  .pager .icon-chevron-left {
    margin-right: 5px; }
  .pager .icon-chevron-right {
    margin-left: 5px; }

.control-label {
  font-size: 0.9em;
  font-weight: bold; }

.input-xlarge {
  line-height: 20px;
  height: 20px;
  padding: 9px;
  border: 1px solid #cccccc;
  border-radius: 3px;
  display: block;
  margin: 6px 0 18px;
  width: 390px; }

.hugepic-score {
  height: 53px;
  font-size: 2em;
  font-weight: bold;
  padding-top: 6px;
  margin-right: 8px;
}

.hugepic-title {
  height: 22px;
  font-size: 1.4em;
  padding-top: 6px;
}

.hugepic-utils {
  height: 25px;
  font-size: 14px;  
}
  .hugepic-utils a {
    font-size: 12px;
  }
  .hugepic-utils i.icon-comments {
    vertical-align: middle;
  }

.hugepic-close {
  position: absolute;
  top: 14px;
  right: 14px;
}